<?xml version="1.0" encoding="utf-16"?>
<hibernate-mapping  auto-import="true" default-lazy="false" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="urn:nhibernate-mapping-2.2">
  <class name="ServiceCenter.Data.CastleActiveRecord.DeviceType, ServiceCenter.Data.CastleActiveRecord" table="DeviceType">
    <id name="Id" access="property" column="DeviceTypeId" type="Int32" unsaved-value="0">
      <generator class="native">
      </generator>
    </id>
    <property name="ValueNew" access="property" type="String">
      <column name="Value" length="50" not-null="true" />
    </property>
    <property name="Value" access="property" type="String">
      <column name="Value" length="50" not-null="true" />
    </property>
    <bag name="Requests" access="property" table="Request" lazy="true">
      <key column="DeviceTypeId" />
      <one-to-many class="ServiceCenter.Data.CastleActiveRecord.Request, ServiceCenter.Data.CastleActiveRecord" />
    </bag>
    <join table="Request">
      <key column="RequestId" />
    </join>
  </class>
</hibernate-mapping>
